Bug 1433527 (ovnmetadata) - [RFE] [Neutron] [OVN] Metadata support
Summary: [RFE] [Neutron] [OVN] Metadata support
Keywords:
Status: CLOSED ERRATA
Alias: ovnmetadata
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-networking-ovn
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: Upstream M3
: 13.0 (Queens)
Assignee: Daniel Alvarez Sanchez
QA Contact: Eran Kuris
URL:
Whiteboard:
Depends On:
Blocks: osp13ovn ovncontainerization 1548947
TreeView+ depends on / blocked
 
Reported: 2017-03-17 22:56 UTC by Assaf Muller
Modified: 2019-09-09 14:23 UTC (History)
12 users (show)

Fixed In Version: python-networking-ovn-4.0.0-0.20171205134230.746cae0.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 13:29:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1562132 None None None 2017-03-17 23:05:04 UTC
OpenStack gerrit 471140 None MERGED Metadata agent support in networking-ovn 2020-04-22 11:34:52 UTC
OpenStack gerrit 502940 None MERGED Add support for OVN Metadata Agent 2020-04-22 11:34:52 UTC
OpenStack gerrit 502941 None MERGED Add support for OVN Metadata Agent 2020-04-22 11:34:52 UTC
OpenStack gerrit 502943 None MERGED Add support for OVN Metadata Agent 2020-04-22 11:34:52 UTC
OpenStack gerrit 511225 None MERGED Add Dockerfile for networking-ovn-metadata-agent 2020-04-22 11:34:53 UTC
OpenStack gerrit 525164 None ABANDONED Add support for containerized OVN Metadata Agent 2020-04-22 11:34:53 UTC
OpenStack gerrit 525182 None MERGED Add OVN Metadata Agent to containerized environments 2020-04-22 11:34:53 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:30:45 UTC

Description Assaf Muller 2017-03-17 22:56:22 UTC
OpenStack VMs access the neutron metadata service available at the link-local IP address: 169.254.169.254. We want to implement the metadata service in networking-ovn without running DHCP or L3 agents. This possibly requires changes in OVN itself, depending on the approach chosen to resolve this RFE.

Comment 3 Assaf Muller 2017-04-24 13:29:42 UTC
Will require OVS 2.8, pushed to OSP 13.

Comment 5 Daniel Alvarez Sanchez 2017-12-11 14:28:22 UTC
The functionality was merged some time ago and as of today we have still pending some patches in TripleO [0]. Most of the work is done and we're close to finalize it soon.

[0] https://review.openstack.org/#/q/topic:ovn-metadata-agent+(status:open+OR+status:merged)

Comment 11 Daniel Alvarez Sanchez 2018-01-15 09:22:03 UTC
Patches upstream are merged:

https://review.openstack.org/#/q/topic:ovn-metadata-agent+(status:open+OR+status:merged)

Comment 15 Eran Kuris 2018-04-30 09:49:31 UTC
Verified on:
OSP13 p - 2018-04-26.3
python-networking-ovn-4.0.1-0.20180420150809.c7c16d4.el7ost.noarch
test run:
https://polarion.engineering.redhat.com/polarion/#/project/RHELOpenStackPlatform/testrun?id=20180430-0553

Comment 17 errata-xmlrpc 2018-06-27 13:29:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.